Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 594738 - qpid C++ URL syntax extended.
Summary: qpid C++ URL syntax extended.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: beta
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Alison Young
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 13:20 UTC by Alan Conway
Modified: 2012-09-21 12:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-17 02:21:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alan Conway 2010-05-21 13:20:33 UTC
The URL syntax for C++ URLs has been extended
 - amqp: prefix now optional
 - user/password@ added
 - support for rdma, ssl and other future plug-in protocols added

The same URL syntax is now used for new API clients and for cluster URLs
The URL grammer is as follows:

url = ["amqp:"][ user ["/" password] "@" ] protocol_addr *("," protocol_addr)
protocol_addr = tcp_addr / rmda_addr / ssl_addr / .. others plug-in
tcp_addr = ["tcp:"] host [":" port]
rdma_addr = "rdma:" host [":" port]
ssl_addr = "ssl:" host [":" port]

Comment 1 Jonathan Robie 2010-09-01 22:11:20 UTC
Fixed in User's Guide.

Comment 2 Alison Young 2011-03-17 02:21:30 UTC
Closed as fix already implemented


Note You need to log in before you can comment on or make changes to this bug.